be.fgov.ehealth.samcivics.type.v2

## Class TherapyType

- java.lang.Object
- - be.fgov.ehealth.samcivics.type.v2.BaseType
  - - be.fgov.ehealth.samcivics.type.v2.TherapyType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    TherapyAndChildrenType

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2021-10-05T08:00:16+02:00",
                 comments="JAXB RI v2.2.11")
      public class TherapyType
      extends BaseType
      implements Serializable

  Java class for TherapyType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="TherapyType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:samcivics:type:v2}BaseType">
             <sequence>
               <element name="MaskedInd" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TherapyType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMaskedInd()` Gets the value of the maskedInd property.
    `void` | `setMaskedInd(String value)` Sets the value of the maskedInd property.

    - ### Methods inherited from class be.fgov.ehealth.samcivics.type.v2.BaseType

      `getEndDate, getStartDate, setEndDate, setStartDate`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TherapyType

          public TherapyType()

  - ### Method Detail

    - #### getMaskedInd

          public String getMaskedInd()

      Gets the value of the maskedInd property.
      Returns:
        possible object is `String`

    - #### setMaskedInd

          public void setMaskedInd(String value)

      Sets the value of the maskedInd property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSPHYSICIAN 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.